## dpic 2014.01.01+dfsg1

=== Makefile ===
# Installation shortcuts: change the following and type "make install"

# For Linux (expects "make DESTDIR=xxx PREFIX=yyy install"):
DESTDIR = $${HOME}
PREFIX = .
DEST = ${DESTDIR}/${PREFIX}/bin

# For manual installation (uncomment and change as necessary):
# DEST = $${HOME}/bin

#-----------------------------------------------------------------------

# Possible problems:
# 1.  The definition of uchar in p2c.h
# 2.  System routines: access, isatty, snprintf, system, random, srandom, time
# 3.  The size of int
# 4.  Memory availability during execution.

# System-dependent parameters.  These may need tweaking:

# Uncomment this to force the use of rand() and srand() respectively instead of
# random() and srandom(). This is necessary for some Linux systems.
# DEFINEA=-DRAND

# If snprintf is unavailable then uncomment the following, type "make clean",
# and try again:
# DEFINEB=-DNO_SNPRINTF

# Server operation: Use the -z option or uncomment the following to compile
# with read and write access (sh and copy) to arbitrary files disabled.
# SAFEMODE= -DSAFE_MODE

# For DJGPP compilation:
# DEFINEB=
# CFLAGS= $(DEFINEA) -DNO_SNPRINTF $(SAFEMODE) -mcpu=pentium -march=i386 -O

# MinGW
# LIBS = -liberty

# Ultrix mips
# CFLAGS = $(DEFINEA) $(DEFINEB) $(SAFEMODE) -O -Olimit 1600

# AIX
# CC=xlc

# other.  cc usually works too.
CFLAGS += $(DEFINEA) $(DEFINEB) $(SAFEMODE) -O
CC=gcc
# CC?=gcc

OBJECTS = dpic.o p2clib.o

# If debug is enabled:
# OBJECTS = dpic.o p2clib.o sysdep.o

#-----------------------------------------------------------------------


dpic: $(OBJECTS)
	$(CC) -o dpic $(OBJECTS) -lm $(LIBS)

install: dpic
	mkdir -p $(DEST)
	if test -x dpic.exe ; then \
      strip dpic.exe; install dpic.exe $(DEST) ; \
    else \
      strip dpic; install -m 755 dpic $(DEST) ; \
    fi

clean:
	-rm -f *.o dpic dpic.exe *.LOG

## dpic 2014.01.01%2Bdfsg1

=== debian/changelog ===
dpic (2014.01.01+dfsg1-0ubuntu2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:20:00 +0000

dpic (2014.01.01+dfsg1-0ubuntu1) trusty; urgency=low

  * Initial release
  * Renamed upstream tar for sequential versioning.
  * Removed no-source PDFs from package

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 10 Feb 2014 06:41:02 -0800

=== debian/control ===
Source: dpic
Section: devel
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Scarlett Clark <scarlett@scarlettgatelyclark.com>
Build-Depends: debhelper (>= 9.0.0)
Standards-Version: 3.9.5
Homepage: https://ece.uwaterloo.ca/~aplevich/dpic/

Package: dpic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Produce diagrams for LaTeX documents or web files.
 Dpic accepts gpic input for the most part but there are
 minor differences. The outputs of gpic and dpic are quite
 different but both can serve as preprocessors that create
 diagrams for inclusion in LaTeX documents.
 .
 The pic language is particularly suited for easily
 creating line diagrams such as electric circuits,
 and many persons use a package of macros called
 Circuit macros along with the m4 macro
 processor. The pic language itself allows macro
 definitions, and both pic and m4 macros will
 be described.

## dpic 2014.01.01+dfsg1

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGES

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/dpic PREFIX=/usr install

## dpic 2019.11.30

=== Makefile ===
# Makefile for dpic
# Type `make' to compile the sources and produce an executable file
# Type `make install' or, to install in /usr/local, type
# `make PREFIX=local install'  You might have to to precede the command
# with `sudo'.
# 
# To comple in safe mode, type 'make SAFEMODE=-DSAFE_MODE'
#
# To enable debug, type `make DEBUG=-DDDEBUG'
# Then e.g., `./dpic -1 <options> <file>.pic' writes level-1 debug information
# to file dpic.log.  Alternately, insert the line &1 in the diagram source.
#
# Linux expects "make DESTDIR=xxx PREFIX=yyy install":
DESTDIR = /usr
PREFIX = .
DEST = ${DESTDIR}/${PREFIX}/bin

# Activate debug:
# DEBUG = -DDDEBUG
# Debug with -g flag:
# DEBUG = -g -DDDEBUG

# Server operation: Use the -z option or uncomment the following to compile
# with read and write access (sh and copy) to arbitrary files disabled.
# SAFEMODE= -DSAFE_MODE

# For DJGPP compilation:
# CFLAGS += -mcpu=pentium -march=i386 -O

# MinGW
# LIBS += -lm -liberty

#--------------------------------------------------------------------------

MANDIR = $(DESTDIR)/$(PREFIX)/share/man/man1
DOCDIR = $(DESTDIR)/$(PREFIX)/share/doc/dpic

#-----------------------------------------------------------------------

DEFS=   
LIBS += -lm 

CC=gcc
CFLAGS += $(DEBUG) $(SAFEMODE) $(DEFS) -O
LDFLAGS += $(LIBS)
CPPFLAGS +=

#DATE = `date +%Y.%m.%d`
DATE=2019.11.30

#-----------------------------------------------------------------------

OBJECTS = main.o parser.o backend.o

CMPRS = awk '{ b=b" "$$0; if(length(b) > 60){print b; b=""}}; END{print b}'

TABLES = entryhp.h entrytv.h lxch.h lxhp.h lxnp.h lxtv.h lxcst.h tokens.y \
  lxvars.h

dpic: $(OBJECTS)
	@if test "$(DEBUG)" != "" ; then make test/bisonlog.sed ; fi
	$(CC) $(CFLAGS) -o dpic $(OBJECTS) $(LDFLAGS)

main.o: main.c dpic.h $(TABLES) dpic.tab.h dpic.tab.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -c main.c

backend.o: backend.c ps.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -c backend.c

parser.o: parscst.h lxerr.h dpic.tab.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -c -o parser.o dpic.tab.c

dpic.tab.c dpic.tab.h: dpic.y
	bison -d dpic.y
#	bison -d --debug --verbose dpic.y
	if test "$(DEBUG)" != "" ; then sed -f produce.sed dpic.tab.c > xxx ; \
      mv xxx dpic.tab.c ; fi

dpic.y: $(TABLES) parser.w
	sed -e '/end tokens/,$$d'  parser.w > dpic.y
	cat tokens.y >> dpic.y
	sed -e '1,/start tokens/d' parser.w >> dpic.y

parscst.h: dpic.y
	bison --verbose dpic.y
	sed -e '1,/^Grammar/d' dpic.output | \
      sed -e '1,3d' -e '/^Terminals/,$$d' | awk -f mkparscst.awk > parscst.h
	sed -e '1,/^Grammar/d' dpic.output | \
      sed -e '/^Terminals/,$$d' | sed -e 's/^......//' > grammar.txt

test/bisonlog.sed: parscst.h
	mkdir -p test
	sed -e \
      's%^.define \([^ ]*\) [^0-9]*\([0-9][0-9]*\)$$%s/\\(Production(.\*,p=\2\\))/\\1=\1)/%' \
       parscst.h > test/bisonlog.sed

$(TABLES): dpic.toks
	awk -f lextables.awk dpic.toks
	sed -f lexerr.sed terminals | $(CMPRS) > lxerr.h
	rm -f terminals

install: installdpic installdocs

installdpic: dpic
	mkdir -p $(DEST)
	if test -x dpic.exe ; then \
      strip dpic.exe; install dpic.exe $(DEST) ; \
    else \
      strip dpic; install -m 755 dpic $(DEST) ; \
    fi

installdocs: dpic-doc.pdf
	mkdir -p $(DOCDIR)
	mkdir -p $(MANDIR)
	install -m 644 dpic-doc.pdf $(DOCDIR)
	install -m 644 doc/dpictools.pic $(DOCDIR)
	cat doc/dpic.1 | gzip > $(MANDIR)/dpic.1.gz

uninstall:
	rm -f $(DOCDIR)/dpic-doc.pdf
	rm -f $(DOCDIR)/dpictools.pic
	rm -f $(MANDIR)/dpic.1.gz
	rm -f $(DEST)/dpic $(DEST)/dpic.exe

clean:
	rm -f dpic dpic.exe *.o

veryclean: clean
	rm -f entr* *.list lxch.h lxcst.h lxhp.h lxmax.h lxnp.h lxtv.h lxvars.h
	rm -f lxcst.p lxerr.h
	rm -f Grammar.src parscst.h
	rm -f tabletoks tokens tokens.y tvterminals sortedtoks
	rm -f *.tab.c *.tab.h dpic.y errors
	rm -f *.o dpic.exe *stackdump *.log *.output test/bisonlog.sed
	( cd test; rm -f *.ps *.dvi *.aux *.log *stackdump )


distclean: clean

=== debian/changelog ===
dpic (2019.11.30-1) unstable; urgency=medium

  * New upstream version.
  * Add full LPPL text to d/copyright.

 -- Aniol Marti <amarti@caliu.cat>  Thu, 05 Dec 2019 18:24:30 +0000

dpic (2019.08.30-4) unstable; urgency=medium

  * Update Debian Standards from 4.4.0 to 4.4.1.
  * Set "Rules-Requires-Root" to "no" in d/control.

 -- Aniol Marti <amarti@caliu.cat>  Sat, 09 Nov 2019 21:57:30 +0000

dpic (2019.08.30-3) unstable; urgency=medium

  * Add doc/dpictools.pic to d/copyright as pointed out by FTP Master.

 -- Aniol Marti <amarti@caliu.cat>  Thu, 17 Oct 2019 13:23:56 +0000

dpic (2019.08.30-2) unstable; urgency=medium

  * Use ASCII dash in d/control to avoid a time out in NEW.

 -- Aniol Marti <amarti@caliu.cat>  Sat, 21 Sep 2019 10:51:13 +0000

dpic (2019.08.30-1) unstable; urgency=medium

  * Initial release (Closes: #597334)

 -- Aniol Marti <amarti@caliu.cat>  Mon, 16 Sep 2019 11:51:13 +0000

=== debian/control ===
Source: dpic
Section: electronics
Priority: optional
Maintainer: Aniol Marti <amarti@caliu.cat>
Build-Depends: debhelper-compat (= 12),
               bison
Standards-Version: 4.4.1
Homepage: https://ece.uwaterloo.ca/~aplevich/dpic/
Vcs-Browser: https://salsa.debian.org/debian/dpic
Vcs-Git: https://salsa.debian.org/debian/dpic.git
Rules-Requires-Root: no

Package: dpic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: pic-language converter to LaTeX-compatible and other formats
 dpic accepts a tight subset of the pic drawing language accepted
 by GNU pic (sometimes named gpic) or AT&T pic, and emits lower-level
 drawing commands for insertion into LaTeX documents, for processing
 by the xfig or Inkscape drawing tools, or for direct display as
 encapsulated Postscript, PDF, or SVG. LaTeX-compatible output can
 contain arbitrary text for formatting. Commands to be passed through
 to the postprocessor (PSTricks, Tikz-pgf, etc.) can be included.

## dpic 2020.03.01

=== Makefile ===
--- 
+++ 
@@ -46,7 +46,7 @@
 CPPFLAGS +=
 
 #DATE = `date +%Y.%m.%d`
-DATE=2019.11.30
+DATE=2020.03.01
 
 #-----------------------------------------------------------------------

=== examples/Lindenmayer/Makefile ===
LIBDIR = $$HOME/lib
M4LIBS = svg.m4 SVGconfig.conf

# To process a single file, copy it to test.m4 and type "make tst"
# which will produce tstSVG.html

DPIC = dpic
#DPIC = $$HOME/dpic/bu*/p2c/ftp/dpic
#DPIC = $$HOME/dpic/bu*/test/dpic
#DPIC = ../../../dpic/bison/dpic

.SUFFIXES: .pic .svg .m4
.pic.svg:
	$(DPIC) -v $*.pic > $*.svg
	grep '<\!-- width' $*.svg | sed -e 's%<\!-- *%%' -e 's% *-->%%' > $*.siz
.m4.svg:
	m4 $(M4LIBS) $*.m4 | sed -e '/^\%/d' > $*.pic
	$(DPIC) -v $*.pic > $*.svg
	grep '<\!-- width' $*.svg | sed -e 's%<\!-- *%%' -e 's% *-->%%' > $*.siz

CCTSVG = \
  Algae1.svg Algae2.svg Bush1.svg Bush2.svg Bush3.svg Bush4.svg Bush5.svg \
  Cantor.svg Dragon.svg FractalPlant.svg HexagonalGosper.svg \
  Koch.svg Leaf.svg Levycurve.svg OL.svg SierpinskiArrowhead.svg Sticks.svg \
  Tiles1.svg Weed.svg

examples.html: examples.htmx
	make $(CCTSVG)
	Version=`sed -e 's/Version //' $(LIBDIR)/doc/Version.tex` ; \
      sed -e 's/Version XXX/Version '$$Version'/' examples.htmx \
      | m4 > examples.html

SED = sed -e '/^\%/d'
TEST = test
tst: $(TEST).pic
	$(DPIC) -v $(TEST).pic > $(TEST).svg
	m4 $(M4LIBS) $(TEST).m4 | $(SED) > $(TEST).pic
	$(DPIC) -v $(TEST).pic > $(TEST).svg
	grep '<\!-- width' $(TEST).svg | sed -e 's%<\!-- *%%' -e 's% *-->%%' \
     > $(TEST).siz
	make tstSVG.html

test.pic:
	m4 $(M4LIBS) test.m4 | $(SED) > test.pic

tstSVG.html: tstSVG.htmx $(TEST).svg
	Version=`sed -e 's/Version //' $(LIBDIR)/doc/Version.tex` ; \
      sed -e 's/Version XXX/Version '$$Version'/' \
          -e 's/XXXXX/'$(TEST)'/g' \
      tstSVG.htmx | m4 > tstSVG.html
#	cp tstSVG.html $(TEST) $$HOME/public_html/svg

xst: Incleps.png

InclepsSVG.svg: InclepsSVG.m4
	m4 $(M4LIBS) $*.m4 | sed -e '/^\%/d' > $*.pic
	$(DPIC) -v $*.pic > $*.svg
	$(DPIC) -v $*.pic > $*.svg

Incleps.png:
	(cd ..; make Incleps.png); cp ../Incleps.png .

clean:
	@printf "\n svg clean:\n"
	rm -f *.svg *.dim *.ps *log *.siz *.pic examples.html Incleps.png
	rm -f tstSVG.html
	@printf "\n"

clobber: clean
	rm -f test.m4

=== debian/changelog ===
dpic (2020.03.01-1) unstable; urgency=medium

  * New upstream version.
  * Add upstream information in d/upstream/metadata.
  * Update Debian Standards from 4.4.1 to 4.5.0.

 -- Aniol Marti <amarti@caliu.cat>  Sun, 23 Feb 2020 11:22:54 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Aniol Marti <amarti@caliu.cat>
 Build-Depends: debhelper-compat (= 12),
                bison
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://ece.uwaterloo.ca/~aplevich/dpic/
 Vcs-Browser: https://salsa.debian.org/debian/dpic
 Vcs-Git: https://salsa.debian.org/debian/dpic.git

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -fdebug-prefix-map=$(CURDIR)=/
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
# dpictools.pic is only used to generate the PDF documentation.
# It is distributed with the circuit-macros package, where it belongs.
export DH_ALWAYS_EXCLUDE = dpictools.pic:diag5.pic

%:
	dh $@ --with autoreconf

# If PREFIX is not set to /usr the binary is placed in /bin.
override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

=== debian/watch ===
version=4
https://ece.uwaterloo.ca/~aplevich/dpic/dpic-(.+).tar.gz

## dpic 2020.06.01

=== Makefile ===
--- 
+++ 
@@ -46,7 +46,7 @@
 CPPFLAGS +=
 
 #DATE = `date +%Y.%m.%d`
-DATE=2020.03.01
+DATE=2020.06.01
 
 #-----------------------------------------------------------------------

=== debian/changelog ===
dpic (2020.06.01-1) unstable; urgency=medium

  * New upstream version (Closes: #957149).
  * Delete "--as-needed" flag from d/rules.
  * Update compat level from 12 to 13.

 -- Aniol Marti <amarti@caliu.cat>  Fri, 05 Jun 2020 08:42:34 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: electronics
 Priority: optional
 Maintainer: Aniol Marti <amarti@caliu.cat>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                bison
 Standards-Version: 4.5.0
 Homepage: https://ece.uwaterloo.ca/~aplevich/dpic/

## dpic 2020.09.15

=== Makefile ===
--- 
+++ 
@@ -45,8 +45,10 @@
 LDFLAGS += $(LIBS)
 CPPFLAGS +=
 
+BISON = bison
+
 #DATE = `date +%Y.%m.%d`
-DATE=2020.06.01
+DATE=2020.09.15
 
 #-----------------------------------------------------------------------
 
@@ -67,12 +69,12 @@
 backend.o: backend.c ps.c
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c backend.c
 
-parser.o: parscst.h lxerr.h dpic.tab.c
+parser.o: parscst.h dpic.tab.c
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c -o parser.o dpic.tab.c
 
 dpic.tab.c dpic.tab.h: dpic.y
-	bison -d dpic.y
-#	bison -d --debug --verbose dpic.y
+	$(BISON) -d dpic.y
+#	$(BISON) -d --debug --verbose dpic.y
 	if test "$(DEBUG)" != "" ; then sed -f produce.sed dpic.tab.c > xxx ; \
       mv xxx dpic.tab.c ; fi
 
@@ -82,8 +84,8 @@
 	sed -e '1,/start tokens/d' parser.w >> dpic.y
 
 parscst.h: dpic.y
-	bison --verbose dpic.y
-	sed -e '1,/^Grammar/d' dpic.output | \
+	$(BISON) --verbose dpic.y
+	sed -e '1,/^Grammar/d' -e 's/://' dpic.output | \
       sed -e '1,3d' -e '/^Terminals/,$$d' | awk -f mkparscst.awk > parscst.h
 	sed -e '1,/^Grammar/d' dpic.output | \
       sed -e '/^Terminals/,$$d' | sed -e 's/^......//' > grammar.txt
@@ -96,8 +98,7 @@
 
 $(TABLES): dpic.toks
 	awk -f lextables.awk dpic.toks
-	sed -f lexerr.sed terminals | $(CMPRS) > lxerr.h
-	rm -f terminals
+	sed -f lexerr.sed tokens.y > xxx; mv xxx tokens.y
 
 install: installdpic installdocs
 
@@ -127,7 +128,7 @@
 
 veryclean: clean
 	rm -f entr* *.list lxch.h lxcst.h lxhp.h lxmax.h lxnp.h lxtv.h lxvars.h
-	rm -f lxcst.p lxerr.h
+	rm -f lxcst.p
 	rm -f Grammar.src parscst.h
 	rm -f tabletoks tokens tokens.y tvterminals sortedtoks
 	rm -f *.tab.c *.tab.h dpic.y errors

=== debian/changelog ===
dpic (2020.09.15-1) unstable; urgency=medium

  * New upstream version.

 -- Aniol Marti <amarti@caliu.cat>  Sat, 19 Sep 2020 11:32:14 +0000

dpic (2020.09.01-1) unstable; urgency=medium

  * New upstream version.
  * Update d/copyright to 2020.

 -- Aniol Marti <amarti@caliu.cat>  Wed, 02 Sep 2020 14:13:38 +0000

## dpic 2021.01.01

=== Makefile ===
--- 
+++ 
@@ -48,7 +48,7 @@
 BISON = bison
 
 #DATE = `date +%Y.%m.%d`
-DATE=2020.09.15
+DATE=2021.01.01
 
 #-----------------------------------------------------------------------

=== examples/Graphs/Makefile ===
# Produce tgraph.svg for viewing in a browser:
tgraph.svg:
	dpic -v tgraph.pic > tgraph.svg

# put your test file in test.pic and type `make tst.pdf'
tst.pdf:
	if test -f test.pic ; then dpic -g test.pic > test.tex ; \
    else dpic -g tgraph.pic > test.tex ; fi
	pdflatex tst

clean:
	rm -f *.svg *.aux *.log *.pdf test.tex

=== debian/changelog ===
dpic (2021.01.01-1) unstable; urgency=medium

  * New upstream version.
  * Update standards version from 4.5.0 to 4.5.1.

 -- Aniol Marti <amarti@caliu.cat>  Sat, 02 Jan 2021 23:39:17 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Aniol Marti <amarti@caliu.cat>
 Build-Depends: debhelper-compat (= 13),
                bison
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://ece.uwaterloo.ca/~aplevich/dpic/
 Vcs-Browser: https://salsa.debian.org/debian/dpic
 Vcs-Git: https://salsa.debian.org/debian/dpic.git

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND = -fdebug-prefix-map=$(CURDIR)=/
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 # dpictools.pic is only used to generate the PDF documentation.
 # It is distributed with the circuit-macros package, where it belongs.
 export DH_ALWAYS_EXCLUDE = dpictools.pic:diag5.pic

## dpic 2021.11.01

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # SAFEMODE= -DSAFE_MODE
 
 # For DJGPP compilation:
-# CFLAGS += -mcpu=pentium -march=i386 -O
+# CFLAGS += -mcpu=pentium -march=i386
 
 # MinGW
 # LIBS += -lm -liberty
@@ -41,14 +41,14 @@
 LIBS += -lm 
 
 CC=gcc
-CFLAGS += $(DEBUG) $(SAFEMODE) $(DEFS) -O
+CFLAGS += $(DEBUG) $(SAFEMODE) $(DEFS)
 LDFLAGS += $(LIBS)
 CPPFLAGS +=
 
 BISON = bison
 
 #DATE = `date +%Y.%m.%d`
-DATE=2021.01.01
+DATE=2021.11.01
 
 #-----------------------------------------------------------------------

=== doc/Makefile ===
DPIC = dpic

.SUFFIXES:	.pic .tex .m4 .pdf
.pic.tex:
	$(DPIC) -g $*.pic > $*.tex
.m4.tex:
	m4 pgf.m4 $*.m4 > $*.pic
	$(DPIC) -g $*.pic > $*.tex
.m4.pdf:
	m4 pdf.m4 $*.m4 > $*.pic
	$(DPIC) -d $*.pic > $*.pdf

PICS = spline.tex arrow.tex circles.tex Spiral.tex Xtest.tex
PDFLATEX = pdflatex --quiet

Dpicdoc.pdf: dpic-doc.aux
	$(PDFLATEX) dpic-doc
	$(PDFLATEX) dpic-doc

dpic-doc.aux: dpic-doc.tex dpic-doc.bib $(PICS) dpic_man.tex VERSION.tex
	$(PDFLATEX) dpic-doc
	bibtex dpic-doc

VERSION.tex: VERSION
	cp VERSION VERSION.tex

dpic.man: dpic.1
	nroff -man dpic.1 | sed -e 's%.%%g' -e '/SunOS/d' > dpic.man

dpic_man.tex: dpic.1
	sed -e 's/\.SS/SSSS/' -e 's/\\(hy/-/g' -e '/^.tr/d' \
     -e 's/^.br/BBBB/' -e 's/\\(ts/QQQQ/g' -e 's/^\.P$$//' -e 's/\\-/-/g' \
     -e 's/\\e/TTTT/'g \
     -e 's/^\.\\" {\\\\tt/{\\\\tt/' \
     -e 's/^\.\\" }/}/' \
     dpic.1 > xx
	tr2latex -b -m < xx | sed -e '1,9d' \
     -e 's/\\bf/\\tt/g' \
     -e 's/SSSS \(.*\)$$/\\par\\hskip-2pc{\\bf \1}\\\\/' \
     -e 's/QQQQ/{\\tt "}/g' -e 's/BBBB/\\\\\\hbox{}\\hskip-1pt/' \
     -e 's/TTTT/{\\tt \\char92}/g' \
     -e 's/http:\([^ ]*\)/\\url{http:\1}/' -e 's/\\~{}/\~/' \
      > dpic_man.tex
	rm -f xx

dpic.1: dpic.1.src
	sed -e "/^\.TH/s/\".*$$/\"`cat VERSION`\"/" dpic.1.src > dpic.1

clean:
	rm -f *.ps *.dvi *.aux *.log *.blg *.ilg *.toc core *.bbl *.upa *.upb
	rm -f dpic.1 dpic.man dpic_man.tex
	( cd examples; make clean )

clobber: clean
	rm -f *.pdf VERSION.tex $(PICS) Spiral.pic dpic_man.tex dpic.1
	rm -f *.dim dpic.man

=== examples/Makefile ===
DPIC = dpic

nooption:
	cp sources/diag1.pic diag.pic
	cp sources/test1.tex tst.tex
	$(DPIC) diag.pic > diag.tex
	latex --quiet tst
	dvips -Ppdf tst.dvi

all: nooption epic pstricks pgf pdf mfpic psfrag postscript overlay metapost \
  rawpdf pdfoverlay xfig svg

epic:
	cp sources/diag2.pic diag.pic
	cp sources/test2.tex tst.tex
	$(DPIC) -t diag.pic > diag.tex
	latex --quiet tst
	dvips -Ppdf tst.dvi

pstricks:
	cp sources/diag1.pic diag.pic
	cp sources/test3.tex tst.tex
	$(DPIC) -p diag.pic > diag.tex
	latex --quiet tst
	dvips -Ppdf tst.dvi

pgf:
	cp sources/diag1.pic diag.pic
	cp sources/test9.tex tst.tex
	$(DPIC) -g diag.pic > diag.tex
	latex --quiet tst
	dvips -Ppdf tst.dvi

pdf:
	cp sources/diag1.pic diag.pic
	cp sources/test9.tex tst.tex
	$(DPIC) -g diag.pic > diag.tex
	pdflatex --quiet tst

mfpic:
	cp sources/diag1.pic diag.pic
	cp sources/test4.tex tst.tex
	$(DPIC) -m diag.pic > diag.tex
	latex --quiet tst
	mf tst-mfpic.mf
	latex --quiet tst
	gftopk tst-mfpic.600gf tst-mfpic.pk
	dvips -D600 tst.dvi

psfrag:
	cp sources/diag1.pic diag.pic
	cp sources/test5.tex tst.tex
	$(DPIC) -f diag.pic > diag.eps
	latex --quiet tst
	dvips -Ppdf tst

postscript:
	cp sources/diag6.pic diag.pic
	cp sources/test6.tex tst.tex
	$(DPIC) -r diag.pic > diag.eps
	latex --quiet tst
	dvips -Ppdf tst

rawpdf:
	cp sources/diag9.pic diag.pic
	cp sources/test6.tex tst.tex
	$(DPIC) -d diag.pic > diag.pdf
	pdflatex --quiet tst

svg:
	cp sources/diag6.pic diag.pic
	cp sources/test6.tex tst.tex
	$(DPIC) -v diag.pic > tst.svg

overlay:
	$(DPIC) -r sources/diagA.pic > diagA.eps
	$(DPIC) -p sources/diagB.pic > diag.tex
	cp sources/test7.tex tst.tex
	latex --quiet tst
	dvips -Ppdf tst.dvi

pdfoverlay:
	$(DPIC) -d sources/diagA.pic > diagA.pdf
	$(DPIC) -g sources/diagC.pic > diag.tex
	cp sources/test9.tex tst.tex
	pdflatex --quiet tst

metapost:
	cp sources/diag8.pic diag.pic
	cp sources/test8.tex tst.tex
	$(DPIC) -s diag.pic > diag.mp
	mpost --tex=latex diag.mp
	latex --quiet tst
	dvips -Ppdf tst

xfig:
	cp sources/diag9.pic diag.pic
	$(DPIC) -x diag.pic > diag.fig

MANSRC = arcs.pic arrowheads.pic arrows.pic basictests.pic
man:
	cp sources/man.tex sources/mode.tex .
	for file in $(MANSRC) `(cd sources; ls man*.pic )` ; do \
      dpic -g sources/$$file > `basename $$file .pic`.tex ; done
	pdflatex --quiet man
#	dvips man

clean:
	rm -f *.ps *.eps *.dvi *.log *.mp *.1 mpxerr* *pk *gf *.mpx *.dim *.mf
	rm -f *.tfm *.aux *.pfg tst.tex diag.pic diag.tex *.trace *.fig *.pdf *.svg
	rm -f man* *.pic arcs.* arrowheads.* arrows.* basictests* mode.tex
	(cd Lindenmayer && make clean)
	(cd Graphs && make clean)
	rm -f illusions/*.svg Escher/*.svg

=== debian/changelog ===
dpic (2021.11.01-1) unstable; urgency=medium

  * New upstream version.
  * Update standards version from 4.5.1 to 4.6.0.

 -- Aniol Martí <amarti@caliu.cat>  Sat, 29 Jan 2022 13:17:35 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: dpic
 Section: electronics
 Priority: optional
-Maintainer: Aniol Marti <amarti@caliu.cat>
+Maintainer: Aniol Martí <amarti@caliu.cat>
 Build-Depends: debhelper-compat (= 13),
                bison
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://ece.uwaterloo.ca/~aplevich/dpic/
 Vcs-Browser: https://salsa.debian.org/debian/dpic
 Vcs-Git: https://salsa.debian.org/debian/dpic.git

## dpic 2023.02.01

=== Makefile ===
--- 
+++ 
@@ -48,7 +48,7 @@
 BISON = bison
 
 #DATE = `date +%Y.%m.%d`
-DATE=2021.11.01
+DATE=2023.02.01
 
 #-----------------------------------------------------------------------

=== doc/Makefile ===
--- 
+++ 
@@ -49,7 +49,7 @@
 clean:
 	rm -f *.ps *.dvi *.aux *.log *.blg *.ilg *.toc core *.bbl *.upa *.upb
 	rm -f dpic.1 dpic.man dpic_man.tex
-	( cd examples; make clean )
+	( cd examples && make clean )
 
 clobber: clean
 	rm -f *.pdf VERSION.tex $(PICS) Spiral.pic dpic_man.tex dpic.1

=== examples/Makefile ===
--- 
+++ 
@@ -109,6 +109,6 @@
 	rm -f *.ps *.eps *.dvi *.log *.mp *.1 mpxerr* *pk *gf *.mpx *.dim *.mf
 	rm -f *.tfm *.aux *.pfg tst.tex diag.pic diag.tex *.trace *.fig *.pdf *.svg
 	rm -f man* *.pic arcs.* arrowheads.* arrows.* basictests* mode.tex
-	(cd Lindenmayer && make clean)
+	(cd Lindenmayer && make clobber)
 	(cd Graphs && make clean)
 	rm -f illusions/*.svg Escher/*.svg

=== examples/Lindenmayer/Makefile ===
--- 
+++ 
@@ -21,7 +21,8 @@
 CCTSVG = \
   Algae1.svg Algae2.svg Bush1.svg Bush2.svg Bush3.svg Bush4.svg Bush5.svg \
   Cantor.svg Dragon.svg FractalPlant.svg HexagonalGosper.svg \
-  Koch.svg Leaf.svg Levycurve.svg OL.svg SierpinskiArrowhead.svg Sticks.svg \
+  KochCurve.svg KochSnowflake.svg \
+  Leaf.svg Levycurve.svg OL.svg SierpinskiArrowhead.svg Sticks.svg \
   Tiles1.svg Weed.svg
 
 examples.html: examples.htmx

=== debian/changelog ===
dpic (2023.02.01-1) unstable; urgency=medium

  * New upstream version.
  * Update standards version from 4.6.0 to 4.6.2.
  * Update d/copyright.

 -- Aniol Martí <amarti@caliu.cat>  Sat, 11 Feb 2023 23:17:35 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,5 @@
 #!/usr/bin/make -f
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_CFLAGS_MAINT_APPEND = -fdebug-prefix-map=$(CURDIR)=/
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+fixfilepath
 # dpictools.pic is only used to generate the PDF documentation.
 # It is distributed with the circuit-macros package, where it belongs.
 export DH_ALWAYS_EXCLUDE = dpictools.pic:diag5.pic

## dpic 2023.06.01

=== Makefile ===
--- 
+++ 
@@ -48,7 +48,7 @@
 BISON = bison
 
 #DATE = `date +%Y.%m.%d`
-DATE=2023.02.01
+DATE=2023.06.01
 
 #-----------------------------------------------------------------------

=== debian/changelog ===
dpic (2023.06.01-1) unstable; urgency=medium

  * New upstream version.
  * Update d/copyright.
  * Add d/clean.

 -- Aniol Martí <amarti@caliu.cat>  Tue, 15 Aug 2023 10:49:17 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Aniol Martí <amarti@caliu.cat>
 Build-Depends: debhelper-compat (= 13),
                bison
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://ece.uwaterloo.ca/~aplevich/dpic/
 Vcs-Browser: https://salsa.debian.org/debian/dpic
 Vcs-Git: https://salsa.debian.org/debian/dpic.git

=== debian/tests/control ===
Tests: tikz.sh
Depends: dpic
